Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface QueryFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  QueryFactoryImpl

    public interface QueryFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `QueryPackage`

Field Summary
`static QueryFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AdhocQueryQueryType` | `createAdhocQueryQueryType()` Returns a new object of class 'Adhoc Query Query Type'.
`AdhocQueryRequestType` | `createAdhocQueryRequestType()` Returns a new object of class 'Adhoc Query Request Type'.
`AdhocQueryResponseType` | `createAdhocQueryResponseType()` Returns a new object of class 'Adhoc Query Response Type'.
`AssociationQueryType` | `createAssociationQueryType()` Returns a new object of class 'Association Query Type'.
`AuditableEventQueryType` | `createAuditableEventQueryType()` Returns a new object of class 'Auditable Event Query Type'.
`BooleanFilterType` | `createBooleanFilterType()` Returns a new object of class 'Boolean Filter Type'.
`ClassificationNodeQueryType` | `createClassificationNodeQueryType()` Returns a new object of class 'Classification Node Query Type'.
`ClassificationQueryType` | `createClassificationQueryType()` Returns a new object of class 'Classification Query Type'.
`ClassificationSchemeQueryType` | `createClassificationSchemeQueryType()` Returns a new object of class 'Classification Scheme Query Type'.
`CompoundFilterType` | `createCompoundFilterType()` Returns a new object of class 'Compound Filter Type'.
`DateTimeFilterType` | `createDateTimeFilterType()` Returns a new object of class 'Date Time Filter Type'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`ExternalIdentifierQueryType` | `createExternalIdentifierQueryType()` Returns a new object of class 'External Identifier Query Type'.
`ExternalLinkQueryType` | `createExternalLinkQueryType()` Returns a new object of class 'External Link Query Type'.
`ExtrinsicObjectQueryType` | `createExtrinsicObjectQueryType()` Returns a new object of class 'Extrinsic Object Query Type'.
`FederationQueryType` | `createFederationQueryType()` Returns a new object of class 'Federation Query Type'.
`FilterType` | `createFilterType()` Returns a new object of class 'Filter Type'.
`FloatFilterType` | `createFloatFilterType()` Returns a new object of class 'Float Filter Type'.
`IntegerFilterType` | `createIntegerFilterType()` Returns a new object of class 'Integer Filter Type'.
`InternationalStringBranchType` | `createInternationalStringBranchType()` Returns a new object of class 'International String Branch Type'.
`NotificationQueryType` | `createNotificationQueryType()` Returns a new object of class 'Notification Query Type'.
`OrganizationQueryType` | `createOrganizationQueryType()` Returns a new object of class 'Organization Query Type'.
`PersonQueryType` | `createPersonQueryType()` Returns a new object of class 'Person Query Type'.
`QueryExpressionBranchType` | `createQueryExpressionBranchType()` Returns a new object of class 'Expression Branch Type'.
`RegistryObjectQueryType` | `createRegistryObjectQueryType()` Returns a new object of class 'Registry Object Query Type'.
`RegistryPackageQueryType` | `createRegistryPackageQueryType()` Returns a new object of class 'Registry Package Query Type'.
`RegistryQueryType` | `createRegistryQueryType()` Returns a new object of class 'Registry Query Type'.
`ResponseOptionType` | `createResponseOptionType()` Returns a new object of class 'Response Option Type'.
`ServiceBindingQueryType` | `createServiceBindingQueryType()` Returns a new object of class 'Service Binding Query Type'.
`ServiceQueryType` | `createServiceQueryType()` Returns a new object of class 'Service Query Type'.
`SlotBranchType` | `createSlotBranchType()` Returns a new object of class 'Slot Branch Type'.
`SpecificationLinkQueryType` | `createSpecificationLinkQueryType()` Returns a new object of class 'Specification Link Query Type'.
`StringFilterType` | `createStringFilterType()` Returns a new object of class 'String Filter Type'.
`SubscriptionQueryType` | `createSubscriptionQueryType()` Returns a new object of class 'Subscription Query Type'.
`UserQueryType` | `createUserQueryType()` Returns a new object of class 'User Query Type'.
`QueryPackage` | `getQueryPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final QueryFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAdhocQueryQueryType

    AdhocQueryQueryType createAdhocQueryQueryType()

  Returns a new object of class 'Adhoc Query Query Type'.

  Returns:
    a new object of class 'Adhoc Query Query Type'.

### createAdhocQueryRequestType

    AdhocQueryRequestType createAdhocQueryRequestType()

  Returns a new object of class 'Adhoc Query Request Type'.

  Returns:
    a new object of class 'Adhoc Query Request Type'.

### createAdhocQueryResponseType

    AdhocQueryResponseType createAdhocQueryResponseType()

  Returns a new object of class 'Adhoc Query Response Type'.

  Returns:
    a new object of class 'Adhoc Query Response Type'.

### createAssociationQueryType

    AssociationQueryType createAssociationQueryType()

  Returns a new object of class 'Association Query Type'.

  Returns:
    a new object of class 'Association Query Type'.

### createAuditableEventQueryType

    AuditableEventQueryType createAuditableEventQueryType()

  Returns a new object of class 'Auditable Event Query Type'.

  Returns:
    a new object of class 'Auditable Event Query Type'.

### createBooleanFilterType

    BooleanFilterType createBooleanFilterType()

  Returns a new object of class 'Boolean Filter Type'.

  Returns:
    a new object of class 'Boolean Filter Type'.

### createClassificationNodeQueryType

    ClassificationNodeQueryType createClassificationNodeQueryType()

  Returns a new object of class 'Classification Node Query Type'.

  Returns:
    a new object of class 'Classification Node Query Type'.

### createClassificationQueryType

    ClassificationQueryType createClassificationQueryType()

  Returns a new object of class 'Classification Query Type'.

  Returns:
    a new object of class 'Classification Query Type'.

### createClassificationSchemeQueryType

    ClassificationSchemeQueryType createClassificationSchemeQueryType()

  Returns a new object of class 'Classification Scheme Query Type'.

  Returns:
    a new object of class 'Classification Scheme Query Type'.

### createCompoundFilterType

    CompoundFilterType createCompoundFilterType()

  Returns a new object of class 'Compound Filter Type'.

  Returns:
    a new object of class 'Compound Filter Type'.

### createDateTimeFilterType

    DateTimeFilterType createDateTimeFilterType()

  Returns a new object of class 'Date Time Filter Type'.

  Returns:
    a new object of class 'Date Time Filter Type'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createExternalIdentifierQueryType

    ExternalIdentifierQueryType createExternalIdentifierQueryType()

  Returns a new object of class 'External Identifier Query Type'.

  Returns:
    a new object of class 'External Identifier Query Type'.

### createExternalLinkQueryType

    ExternalLinkQueryType createExternalLinkQueryType()

  Returns a new object of class 'External Link Query Type'.

  Returns:
    a new object of class 'External Link Query Type'.

### createExtrinsicObjectQueryType

    ExtrinsicObjectQueryType createExtrinsicObjectQueryType()

  Returns a new object of class 'Extrinsic Object Query Type'.

  Returns:
    a new object of class 'Extrinsic Object Query Type'.

### createFederationQueryType

    FederationQueryType createFederationQueryType()

  Returns a new object of class 'Federation Query Type'.

  Returns:
    a new object of class 'Federation Query Type'.

### createFilterType

    FilterType createFilterType()

  Returns a new object of class 'Filter Type'.

  Returns:
    a new object of class 'Filter Type'.

### createFloatFilterType

    FloatFilterType createFloatFilterType()

  Returns a new object of class 'Float Filter Type'.

  Returns:
    a new object of class 'Float Filter Type'.

### createIntegerFilterType

    IntegerFilterType createIntegerFilterType()

  Returns a new object of class 'Integer Filter Type'.

  Returns:
    a new object of class 'Integer Filter Type'.

### createInternationalStringBranchType

    InternationalStringBranchType createInternationalStringBranchType()

  Returns a new object of class 'International String Branch Type'.

  Returns:
    a new object of class 'International String Branch Type'.

### createNotificationQueryType

    NotificationQueryType createNotificationQueryType()

  Returns a new object of class 'Notification Query Type'.

  Returns:
    a new object of class 'Notification Query Type'.

### createOrganizationQueryType

    OrganizationQueryType createOrganizationQueryType()

  Returns a new object of class 'Organization Query Type'.

  Returns:
    a new object of class 'Organization Query Type'.

### createPersonQueryType

    PersonQueryType createPersonQueryType()

  Returns a new object of class 'Person Query Type'.

  Returns:
    a new object of class 'Person Query Type'.

### createQueryExpressionBranchType

    QueryExpressionBranchType createQueryExpressionBranchType()

  Returns a new object of class 'Expression Branch Type'.

  Returns:
    a new object of class 'Expression Branch Type'.

### createRegistryObjectQueryType

    RegistryObjectQueryType createRegistryObjectQueryType()

  Returns a new object of class 'Registry Object Query Type'.

  Returns:
    a new object of class 'Registry Object Query Type'.

### createRegistryPackageQueryType

    RegistryPackageQueryType createRegistryPackageQueryType()

  Returns a new object of class 'Registry Package Query Type'.

  Returns:
    a new object of class 'Registry Package Query Type'.

### createRegistryQueryType

    RegistryQueryType createRegistryQueryType()

  Returns a new object of class 'Registry Query Type'.

  Returns:
    a new object of class 'Registry Query Type'.

### createResponseOptionType

    ResponseOptionType createResponseOptionType()

  Returns a new object of class 'Response Option Type'.

  Returns:
    a new object of class 'Response Option Type'.

### createServiceBindingQueryType

    ServiceBindingQueryType createServiceBindingQueryType()

  Returns a new object of class 'Service Binding Query Type'.

  Returns:
    a new object of class 'Service Binding Query Type'.

### createServiceQueryType

    ServiceQueryType createServiceQueryType()

  Returns a new object of class 'Service Query Type'.

  Returns:
    a new object of class 'Service Query Type'.

### createSlotBranchType

    SlotBranchType createSlotBranchType()

  Returns a new object of class 'Slot Branch Type'.

  Returns:
    a new object of class 'Slot Branch Type'.

### createSpecificationLinkQueryType

    SpecificationLinkQueryType createSpecificationLinkQueryType()

  Returns a new object of class 'Specification Link Query Type'.

  Returns:
    a new object of class 'Specification Link Query Type'.

### createStringFilterType

    StringFilterType createStringFilterType()

  Returns a new object of class 'String Filter Type'.

  Returns:
    a new object of class 'String Filter Type'.

### createSubscriptionQueryType

    SubscriptionQueryType createSubscriptionQueryType()

  Returns a new object of class 'Subscription Query Type'.

  Returns:
    a new object of class 'Subscription Query Type'.

### createUserQueryType

    UserQueryType createUserQueryType()

  Returns a new object of class 'User Query Type'.

  Returns:
    a new object of class 'User Query Type'.

### getQueryPackage

    QueryPackage getQueryPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD